Skip to main content
User Profiles

Update Profile Schema

Update the name, description, or plan version of a profile schema

PATCH
/profile_schemas/{profile_schema_id}
cURL
curl --request PATCH \
  --url 'https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas/{profile_schema_id}' \
  --header 'Authorization: Bearer <YOUR_API_KEY>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "plan_version": "Pro"
}
'
Updates a profile schema. After modifying plan_version, newly written memories follow the new version rule, while already written memories are not affected.

Request parameters

ParameterTypeRequiredDescription
profile_schema_idstringYesProfile schema ID (path parameter)
namestringNoUpdated schema name
descriptionstringNoUpdated schema description
plan_versionstringNoUpdated version, Pro or Lite

Code examples

cURL
curl -X PATCH "https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas/{profile_schema_id}" \
  --header "Authorization: Bearer $DASHSCOPE_API_KEY" \
  --header "Content-Type: application/json" \
  --data '{
    "name": "更新后的画像名称",
    "plan_version": "Lite"
  }'
To delete a schema, use DeleteProfileSchema.

Authorizations

string
header
required

Path Parameters

string
required

画像模板 ID

Body

application/json
string

更新后的模板名称

string

更新后的模板描述

enum<string>

更新策略版本

Pro,Lite

Response

200-成功

成功

Overview
Managed Agent API
Sandbox API
Flow Agent API
RAG API
Connector API
Framework Integration
Assistant API (Deprecating)
  • Overview